#ifndef YRTVectorH
#define YRTVectorH

class TYRTVector
{
public:
    float x, y, z;
    TYRTVector();
    TYRTVector(float a);
    TYRTVector(float ax, float ay, float az);
    TYRTVector operator+ (const TYRTVector& Arg);
    TYRTVector operator- (const TYRTVector& Arg);
    TYRTVector operator* (const TYRTVector& Arg);
    float GetDistance(TYRTVector& Arg);
    float GetDistanceSqr(TYRTVector& Arg);
    bool IsNearZero(void);
    friend bool operator == (const TYRTVector& v1, const TYRTVector& v2);
};

TYRTVector operator* (float s, const TYRTVector& Arg);

#endif
